dp14: XDp_TxLinkConfig Struct Reference

| dp14 Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDp_TxLinkConfig Struct Reference
Dp_v7_0

This typedef contains configuration information about the main link settings. More...

## Data Fields
u8 | LaneCount
| The current lane count of the main link. More...
u8 | LinkRate
| The current link rate of the main link. More...
u8 | ScramblerEn
| Symbol scrambling is currently in use over the main link. More...
u8 | EnhancedFramingMode
| Enhanced frame mode is currently in use over the main link. More...
u8 | DownspreadControl
| Downspread control is currently in use over the main link. More...
u8 | MaxLaneCount
| The maximum lane count of the main link. More...
u8 | MaxLinkRate
| The maximum link rate of the main link. More...
u8 | SupportEnhancedFramingMode
| Enhanced frame mode is supported by the RX device. More...
u8 | SupportDownspreadControl
| Downspread control is supported by the RX device. More...
u8 | VsLevel
| The current voltage swing level for each lane. More...
u8 | PeLevel
| The current pre-emphasis/cursor level for each lane. More...
u8 | Pattern
| The current pattern currently in use over the main link. More...
u8 | cr_done_cnt
| The number of lanes done with clock recovery. More...
u8 | cr_done_oldstate
| Restores the number of lanes done with clock recovery. More...

## Detailed Description

This typedef contains configuration information about the main link settings.

## Field Documentation

u8 XDp_TxLinkConfig::cr_done_cnt

The number of lanes done with clock recovery.

Referenced by XDp_CfgInitialize().

u8 XDp_TxLinkConfig::cr_done_oldstate

Restores the number of lanes done with clock recovery.

Referenced by XDp_CfgInitialize().

u8 XDp_TxLinkConfig::DownspreadControl

Downspread control is currently in use over the main link.

u8 XDp_TxLinkConfig::EnhancedFramingMode

Enhanced frame mode is currently in use over the main link.

u8 XDp_TxLinkConfig::LaneCount

The current lane count of the main link.

Referenced by Dptx_MstExampleRun(), and Dptx_StartLink().

u8 XDp_TxLinkConfig::LinkRate

The current link rate of the main link.

Referenced by Dptx_StartLink().

u8 XDp_TxLinkConfig::MaxLaneCount

The maximum lane count of the main link.

Referenced by Dptx_StartLink(), and XDp_CfgInitialize().

u8 XDp_TxLinkConfig::MaxLinkRate

The maximum link rate of the main link.

Referenced by Dptx_StartLink().

u8 XDp_TxLinkConfig::Pattern

The current pattern currently in use over the main link.

u8 XDp_TxLinkConfig::PeLevel

The current pre-emphasis/cursor level for each lane.

Referenced by Dptx_StartLink().

u8 XDp_TxLinkConfig::ScramblerEn

Symbol scrambling is currently in use over the main link.

u8 XDp_TxLinkConfig::SupportDownspreadControl

Downspread control is supported by the RX device.

u8 XDp_TxLinkConfig::SupportEnhancedFramingMode

Enhanced frame mode is supported by the RX device.

u8 XDp_TxLinkConfig::VsLevel

The current voltage swing level for each lane.

Referenced by Dptx_StartLink().